Bug 1787908 - dnf treats identical package in two repositories (testing/stable) as conflicting request
Summary: dnf treats identical package in two repositories (testing/stable) as conflict...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 8.0
Assignee: Jaroslav Mracek
QA Contact: Eva Mrakova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-05 12:01 UTC by Robert Scheck
Modified: 2020-07-03 11:17 UTC (History)
2 users (show)

Fixed In Version: dnf-plugins-core-4.0.15-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Robert Scheck 2020-01-05 12:01:21 UTC
Description of problem:
As of writing, epel-release-8-8.el8.noarch is currently in both, epel and epel-testing, due to recent stable push (and not all mirrors being up-to-date yet).

$ dnf download --releasever=8 --resolve --alldeps --enablerepo=epel --enablerepo=epel-testing --destdir=/tmp/epel8 --arch=x86_64,noarch epel-release
Last metadata expiration check: 0:17:12 ago on Sun Jan  5 12:40:05 2020.
Error in resolve of packages:
    epel-release-8-8.el8.noarch
    epel-release-8-8.el8.noarch

 Problem: cannot install both epel-release-8-8.el8.noarch and epel-release-8-8.el8.noarch
  - conflicting requests
$ 

Removal of '--enablerepo=epel-testing' works around this issue.

Version-Release number of selected component (if applicable):
yum-4.0.9.2-5.el8.noarch

How reproducible:
Always, see above.

Actual results:
dnf treats identical package in two repositories (testing/stable) as conflicting request.

Expected results:
dnf not treat identical packages in two repositories (testing/stable) as conflicting request.

Comment 1 Jaroslav Mracek 2020-01-15 18:26:02 UTC
I create a path (https://github.com/rpm-software-management/dnf-plugins-core/pull/382) that allows multiple packages with same NEVRA for download --resolve command.

CI-tests: https://github.com/rpm-software-management/ci-dnf-stack/pull/767

Comment 2 Robert Scheck 2020-03-25 01:12:07 UTC
Jaroslav, will RHEL 8.2 contain a fixed dnf/yum package? And if so, in which version?

Comment 3 amatej 2020-04-06 13:03:17 UTC
It will not, its set for RHEL 8.3.
Once there is a specific version the "Fixed In Version" field of this bz will be filled with appropriate nevra.

Thank you for patience.


Note You need to log in before you can comment on or make changes to this bug.